function init(hero) {
    hero.setName("Sentry");
    hero.setTier(10);
    
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
	hero.addEquipment("minecraft:iron_axe");
    
    hero.addPowers("pack:sentry","fiskheroes:water_breathing", "fiskheroes:bullet_immunity", "fiskheroes:superhuman_durability", "fiskheroes:leaping", "fiskheroes:explosion_immunity", "fiskheroes:fire_immunity", "fiskheroes:healing_factor", "fiskheroes:cold_resistance");
 
	hero.addAttribute("WEAPON_DAMAGE", 36.5, 0);
    hero.addAttribute("PUNCH_DAMAGE", 41, 0);
    hero.addAttribute("SPRINT_SPEED", 1.00, 1);
    hero.addAttribute("FALL_RESISTANCE", 150.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 5.0, 0);
    hero.addAttribute("BASE_SPEED_LEVELS", 4.0, 0);
    hero.addKeyBind("TELEKINESIS", "Telekinetic Grab", 4);
 hero.addKeyBind("HEAT_VISION", "Heat Vision", 1);
	  hero.addKeyBind("SUPER_SPEED", "key.superSpeed", 3);
    hero.addKeyBind("SLOW_MOTION", "key.slowMotion", 2);
    hero.setHasProperty(hasProperty);
    hero.setDefaultScale(1.1);
   

    
    hero.setDamageProfile(getDamageProfile);
    hero.addDamageProfile("SPEED_PUNCH", {
        "types": {
            "BLUNT": 3.0
        },
        "properties": {
            "HIT_COOLDOWN": 3
        }
    });
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}
function getDamageProfile(entity) {
    return entity.getData("fiskheroes:speeding") ? "SPEED_PUNCH" : null;
}
